Get a workspace group
get
/v1/workspace-groups/{workspace_group_id}Returns the group plus its workspaces and memberships in the JSON:API included array.
Requires a bearer token: Authorization: Bearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
| workspace_group_id | string <uuid> | Yes | Group ID.e.g. 00000000-0000-4000-8000-000000000000 |
Request
cURL
curl -X GET https://api.wellapp.ai/v1/workspace-groups/{workspace_group_id} \
-H "Authorization: Bearer $WELL_API_TOKEN"Responses
200 — Group with included workspaces + memberships.
{
"data": {}
}401 — Unauthorized.
{
"code": "UNAUTHORIZED",
"status": 401,
"title": "Unauthorized",
"message": "See title.",
"meta": {
"trace_id": "a1b2c3",
"log_id": "a1b2c3"
}
}404 — Not found or no access.
{
"code": "NOT_FOUND",
"status": 404,
"title": "Not Found",
"message": "See title.",
"meta": {
"trace_id": "a1b2c3",
"log_id": "a1b2c3"
}
}